#ifndef _CombinedPreprocessor_H__
#define _CombinedPreprocessor_H__

#include <fstream>
using namespace std;

#include "Preprocessor.h"
#include "VssRay.h"

namespace GtpVisibilityPreprocessor {

  class Exporter;
  class MixtureDistribution;
  
/** Sampling based visibility preprocessing. The implementation is based on heuristical
    sampling of view space 
	*/
class CombinedPreprocessor : public Preprocessor {
public:
  
  CombinedPreprocessor();
  virtual ~CombinedPreprocessor() {}
  
  virtual bool ComputeVisibility();
  
protected:
  MixtureDistribution *mMixtureDistribution;
  
  int mTotalSamples;
  int mSamplesPerPass;
  int mSamplesPerEvaluation;
  
};

}

#endif
