#include "PreprocessorFactory.h"
#include "SamplingPreprocessor.h"
#include "VssPreprocessor.h"
#include "RssPreprocessor.h"
#include "ExactPreprocessor.h"
#include "RenderSampler.h"
#include "GvsPreprocessor.h"
#include "CombinedPreprocessor.h"


namespace GtpVisibilityPreprocessor {


Preprocessor *PreprocessorFactory::CreatePreprocessor(const string &preprocessorType)
{
	if (preprocessorType == "vss")
	{
		return new VssPreprocessor();
	}

	if (preprocessorType == "combined")
	{
		return new CombinedPreprocessor();
	}

	if (preprocessorType == "rss")
	{
		return new RssPreprocessor();
	}
	
	if (preprocessorType == "exact")
	{
		return new ExactPreprocessor();
	}

    if (preprocessorType == "sampling")
	{
		return new SamplingPreprocessor();
	}
	
	if (preprocessorType == "render")
	{
		return new RenderSampler();
	}
	
	if (preprocessorType == "gvs")
	{
		return new GvsPreprocessor();
	}

	return NULL;
}

}
