CONFIG += qt release
CONFIG += console warn_off thread mlrt qt

TEMPLATE = app

TARGET = preprocessor

CONFIG(debug) {
DESTDIR = "../bin/debug"
}

CONFIG(release) {
DESTDIR = "../bin/release"
}

NONGTP = ../../../../../../NonGTP

#win32:INCLUDEPATH += d:/STLport-4.6.2/stlport

CONFIG(qt) {
#win32:INCLUDEPATH += "d:/Programs/NVIDIA Corporation/Cg/include"
win32:INCLUDEPATH += "$$(CG_INC_PATH)"
}

unix:INCLUDEPATH += ../support/src/xerces-c-src_2_7_0/include

INCLUDEPATH += ../src  $$NONGTP/Xerces/xerces/include  $$NONGTP/Zlib/include $$NONGTP/Boost $$NONGTP/Devil/include

win32:LIBPATH += GL $$NONGTP/Xerces/xerces/lib $$NONGTP/Devil/lib \
  $$NONGTP/glut $$NONGTP/Boost/lib $$NONGTP/Zlib/lib 


CONFIG(qt) {
#win32:LIBPATH += "d:/Programs/NVIDIA Corporation/Cg/lib"
win32:LIBPATH += "$$(CG_LIB_PATH)"
}

unix:LIBPATH += ../support/src/xerces-c-src_2_7_0/lib ../support/devil/lib /usr/lib/qt3/lib64

#win32:LIBPATH += d:/STLport-4.6.2/lib



# DEPENDPATH	= ../../include
CONFIG(qt) {
QT += opengl
}

win32:LIBS += devil.lib ilu.lib ilut.lib glew32.lib zlib.lib zdll.lib zziplibd.lib

CONFIG(release) {
win32:LIBS += xerces-c_2.lib 
}

CONFIG(debug) {
win32:LIBS += xerces-c_2D.lib 
}


CONFIG(mlrt) {

CONFIG(release) {
LIBPATH += ../MultiLevelRayTracing/RTScene/Release \
../MultiLevelRayTracing/RTWorld/Release
}

CONFIG(debug) {
LIBPATH += ../MultiLevelRayTracing/RTScene/Debug \
../MultiLevelRayTracing/RTWorld/Debug
}

LIBS += RTScene.lib RTWorld.lib
DEFINES += GTP_INTERNAL
INCLUDEPATH += ../MultiLevelRayTracing
}


QMAKE_LFLAGS_CONSOLE=/NODEFAULTLIB:LIBCMT

CONFIG(qt) {
win32:LIBS += cg.lib cgGL.lib
DEFINES += USE_QT
}

unix:LIBS += -lxerces-c -lIL -lILU -lILUT

# Input
HEADERS += Halton.h VssRay.h VssPreprocessor.h RssTree.h GlRenderer.h \
PreprocessorThread.h Preprocessor.h Beam.h QtGlViewer.h


SOURCES += \
Preprocessor.cpp SamplingPreprocessor.cpp ExactPreprocessor.cpp \
KdTree.cpp Environment.cpp gzstream.cpp common.cpp \
UnigraphicsParser.cpp X3dExporter.cpp SceneGraph.cpp Material.cpp \
Matrix4x4.cpp Vector3.cpp AxisAlignedBox3.cpp Ray.cpp main.cpp Mesh.cpp \
Exporter.cpp Camera.cpp X3dParser.cpp MeshKdTree.cpp Pvs.cpp \
MutualVisibility.cpp Triangle3.cpp Rectangle3.cpp Plane3.cpp Polygon3.cpp \
ViewCell.cpp ViewCellBsp.cpp Halton.cpp VssRay.cpp VssTree.cpp VssPreprocessor.cpp \
RenderSimulator.cpp RayInfo.cpp RssTree.cpp RssPreprocessor.cpp \ 
ViewCellsManager.cpp VspBspTree.cpp GlRenderer.cpp \
PreprocessorThread.cpp Renderer.cpp Beam.cpp ViewCellsParser.cpp Tetrahedron3.cpp \
VrmlExporter.cpp PlyParser.cpp plyfile.c RenderSampler.cpp \
GzBinFileInputStream.cpp  GzFileInputSource.cpp \
LogManager.cpp VspTree.cpp \
SamplingStrategy.cpp IntersectableWrapper.cpp \
OspTree.cpp HierarchyManager.cpp ObjParser.cpp \
BvHierarchy.cpp  \
InternalRayCaster.cpp IntelRayCaster.cpp \
RayCaster.cpp PreprocessorFactory.cpp GvsPreprocessor.cpp \
Trackball.cpp ObjExporter.cpp SubdivisionCandidate.cpp QtGlViewer.cpp \
Mailable.cpp \
CombinedPreprocessor.cpp


SOURCES += BoostPreprocessorThread.cpp 

CONFIG(qt) {
HEADERS += QtPreprocessorThread.h QtGlRenderer.h
SOURCES += OcclusionQuery.cpp QtPreprocessorThread.cpp QtGlRenderer.cpp
} else {
SOURCES += BoostPreprocessorThread.cpp 
}

